package com.ekexiu.project.platform.views.handler.db;

import com.ekexiu.project.platform.views.pojo.LogEntry;

public class UpperTimeLogHandler  extends TimeLogHandler{
	private static final int LowerToUpper = 'a'-'A';
	
	@Override
	public boolean pre() throws Exception {
		LogEntry le;
		long num =0;
		StringBuilder sb = new StringBuilder();
		while ((le = this.queue.poll()) != null) {
			sb.delete(0,sb.length());
			sb.append(le.getTimeString());
			String id = le.getString("id");
			String source = le.getString("src");
			if (id != null && id.length() > 0 &&  source!=null && source.length()==1) {
				++num;
				sb.append(source);
				char[] cs = id.toCharArray();
				for(int i = 0 ;i < cs.length;++i){
					char c = cs[i];
					if(c>='a' && c<='z'){
						c-=LowerToUpper;
					}else if(c=='一'){
						c='1';
					}else if(c=='二'){
						c='2';
					}else if(c=='三'){
						c='3';
					}else if(c=='四'){
						c='4';
					}else if(c=='五'){
						c='5';
					}else if(c=='六'){
						c='6';
					}else if(c=='七'){
						c='7';
					}else if(c=='八'){
						c='8';
					}else if(c=='九'){
						c='9';
					}else if(c=='零'){
						c='0';
					}
					sb.append(c);
				}
				String day = sb.toString();
				Integer pv = cache.get(day);
				if (pv == null) {
					pv = 1;
				} else {
					pv = pv + 1;
				}
				cache.put(day, pv);
			}
		}
		return num>0;
	}

}
